Gtk2::ToggleAction(3)

NAME
Gtk2::ToggleAction

SYNOPSIS
  my $action = Gtk2::ToggleAction->new (name => 'one',
                                        tooltip => 'One');

Note that the constructor slightly deviates from the convenience constructor in the C API. Instead of passing in a list of values for name, label, tooltip and stock-id, you just use key => value pairs like with Glib::Object::new.

HIERARCHY
  Glib::Object
  +----Gtk2::Action
       +----Gtk2::ToggleAction

INTERFACES
  Gtk2::Buildable

METHODS

  boolean = $action->get_active

  $action->set_active ($is_active)

•   $is_active (boolean)

  boolean = $action->get_draw_as_radio

  $action->set_draw_as_radio ($draw_as_radio)

•   $draw_as_radio (boolean)

  $action->toggled

PROPERTIES

'active' (boolean : readable / writable / private)
    If the toggle action should be active in or not

'draw-as-radio' (boolean : readable / writable / private)
    Whether the proxies for this action look like radio action proxies

SIGNALS

toggled (Gtk2::ToggleAction)

SEE ALSO
Gtk2, Glib::Object, Gtk2::Action

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.